Setup Enterprise Sso
curl --request POST \
--url https://api.ontora.com/v1/ontora-staff/enterprise-sso/setup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_name": "<string>",
"parent_workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"create_workspace": false,
"billing_mode": "manual",
"billing_access_ends_at": "2023-11-07T05:31:56Z",
"billing_notes": "<string>"
}
'import requests
url = "https://api.ontora.com/v1/ontora-staff/enterprise-sso/setup"
payload = {
"domain": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_name": "<string>",
"parent_workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"create_workspace": False,
"billing_mode": "manual",
"billing_access_ends_at": "2023-11-07T05:31:56Z",
"billing_notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domain: '<string>',
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
workspace_name: '<string>',
parent_workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
create_workspace: false,
billing_mode: 'manual',
billing_access_ends_at: '2023-11-07T05:31:56Z',
billing_notes: '<string>'
})
};
fetch('https://api.ontora.com/v1/ontora-staff/enterprise-sso/setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": {
"clerk_secret_configured": true,
"app_test_url": "<string>",
"domain": "<string>",
"workspace": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"parent_workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clerk_org_id": "<string>",
"company_domain": "<string>",
"member_count": 123,
"created_at": "2023-11-07T05:31:56Z"
},
"clerk_organization": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"image_url": "<string>",
"has_image": true
},
"matching_connection": {
"id": "<string>",
"name": "<string>",
"provider": "<string>",
"organization_id": "<string>",
"domains": [
"<string>"
],
"active": true,
"redirect_url": "<string>",
"sync_user_attributes": true,
"disable_additional_identifications": true,
"dashboard_hint": "<string>"
},
"clerk_oauth_callback_url": "<string>",
"connection_ready": false,
"enterprise_connections": [
{
"id": "<string>",
"name": "<string>",
"provider": "<string>",
"organization_id": "<string>",
"domains": [
"<string>"
],
"active": true,
"redirect_url": "<string>",
"sync_user_attributes": true,
"disable_additional_identifications": true,
"dashboard_hint": "<string>"
}
],
"account_portal_hint": "<string>",
"billing_access_active": false,
"billing_access_ends_at": "2023-11-07T05:31:56Z",
"notes": [
"<string>"
]
},
"created_workspace": false,
"created_clerk_organization": false,
"created_billing_access": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}ontora-staff
Setup Enterprise Sso
POST
/
v1
/
ontora-staff
/
enterprise-sso
/
setup
Setup Enterprise Sso
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
3 - 255Maximum string length:
255Available options:
manual, none Maximum string length:
1000Was this page helpful?
⌘I